import { WaiterConfiguration, WaiterResult } from "@aws-sdk/util-waiter";
import { CodeGuruReviewerClient } from "../CodeGuruReviewerClient";
import { DescribeCodeReviewCommandInput } from "../commands/DescribeCodeReviewCommand";

export declare const waitForCodeReviewCompleted: (params: WaiterConfiguration<CodeGuruReviewerClient>, input: DescribeCodeReviewCommandInput) => Promise<WaiterResult>;

export declare const waitUntilCodeReviewCompleted: (params: WaiterConfiguration<CodeGuruReviewerClient>, input: DescribeCodeReviewCommandInput) => Promise<WaiterResult>;
