import { WaiterConfiguration, WaiterResult } from "@aws-sdk/util-waiter";
import { CodeGuruReviewerClient } from "../CodeGuruReviewerClient";
import { DescribeRepositoryAssociationCommandInput } from "../commands/DescribeRepositoryAssociationCommand";

export declare const waitForRepositoryAssociationSucceeded: (params: WaiterConfiguration<CodeGuruReviewerClient>, input: DescribeRepositoryAssociationCommandInput) => Promise<WaiterResult>;

export declare const waitUntilRepositoryAssociationSucceeded: (params: WaiterConfiguration<CodeGuruReviewerClient>, input: DescribeRepositoryAssociationCommandInput) => Promise<WaiterResult>;
